#pragma options(test(all))
#include <dll.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#pragma linkage (calcPenalty, COBOL)
#pragma map (calcPenalty, "CALCPEN")

extern int calcRate(double, double, int, double *);
extern int applyRul(double, int, double *);

void calcPenalty(int *cents, int *percent, int *days, int *interest)
{
  int rc = 0;
  double balance = .01E+00 * *cents;
  double apr     = .00001E+00 * *percent;
  double penalty;
  rc = calcRate(balance, apr, *days, &penalty);
  rc = applyRules(balance, *days, &penalty);
  *interest = penalty * 100;

  return;
}
