cbl quote

       IDENTIFICATION DIVISION.
       PROGRAM-ID.  SAMPLE1.

       DATA DIVISION.

       WORKING-STORAGE SECTION.
      *  Some data areas to play with.
       01 CUSTOMERS.
          05 CUSTREC            OCCURS 5 TIMES INDEXED BY CUST-INDEX.
             10 CUSTNAME        PIC X(40).
             10 APR             PIC S99V9(3) COMP-3.
             10 BALANCE-OWING   PIC S9(7)V99 COMP-3.
             10 DAYS-SINCE-PAID PIC 9(4) COMP-3.
             10 PENALTY-OWING   PIC S9(7)V99 COMP-3.
      *  Parms for C subroutine, passed by reference.
       01 VAR1                  PIC S9(9) COMP VALUE 0.
       01 VAR2                  PIC S9(9) COMP VALUE 0.
       01 VAR3                  PIC S9(9) COMP VALUE 0.
       01 RESULT                PIC S9(9) COMP VALUE 0.
      *  Temp variables.

       PROCEDURE DIVISION.
           PERFORM INIT-CUSTOMERS.
           PERFORM UPDATE-OWING
               VARYING CUST-INDEX FROM 1 BY 1 UNTIL CUST-INDEX > 5.
           GOBACK.
       UPDATE-OWING.
           MOVE 0 TO RESULT.
           COMPUTE VAR1 = BALANCE-OWING(CUST-INDEX) * 100.
           COMPUTE VAR2 = APR(CUST-INDEX) * 1000.
           MOVE DAYS-SINCE-PAID(CUST-INDEX) TO VAR3.
           CALL "CALCPEN" USING VAR1, VAR2, VAR3, RESULT.
           COMPUTE PENALTY-OWING(CUST-INDEX) = RESULT / 100.
           ADD PENALTY-OWING(CUST-INDEX) TO BALANCE-OWING(CUST-INDEX).

       INIT-CUSTOMERS.
           MOVE "Sprat, Jack" TO CUSTNAME(1).
           MOVE 5.000 TO APR(1).
           MOVE 100.00 TO BALANCE-OWING(1).
           MOVE 14 TO DAYS-SINCE-PAID(1).
           MOVE 0 TO PENALTY-OWING(1).
           MOVE "Quite-Contrary, Mary Mary" TO CUSTNAME(2).
           MOVE 4.750 TO APR(2).
           MOVE 12345.67 TO BALANCE-OWING(2).
           MOVE 30 TO DAYS-SINCE-PAID(2).
           MOVE 0 TO PENALTY-OWING(2).
           MOVE "Nimble, Jack B." TO CUSTNAME(3).
           MOVE 19.750 TO APR(3).
           MOVE 12.50 TO BALANCE-OWING(3).
           MOVE 90 TO DAYS-SINCE-PAID(3).
           MOVE 0 TO PENALTY-OWING(3).
           MOVE "Pumpkineater, Peter Peter" TO CUSTNAME(4).
           MOVE 12.125 TO APR(4).
           MOVE 1.00 TO BALANCE-OWING(4).
           MOVE 90 TO DAYS-SINCE-PAID(4).
           MOVE 0 TO PENALTY-OWING(4).
           MOVE "Muffet, Little Miss" TO CUSTNAME(5).
           MOVE 8.500 TO APR(5).
           MOVE -200.00 TO BALANCE-OWING(5).
           MOVE 35 TO DAYS-SINCE-PAID(5).
           MOVE 0 TO PENALTY-OWING(5).
